<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Settings/test/Settings/MockSetting.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_8ae0dd75af039a94f4269584fb8eef13.html">Settings</a></li><li class="navelem"><a class="el" href="dir_99d77744d65312941b5eb82009999c89.html">test</a></li><li class="navelem"><a class="el" href="dir_d0a625497781291379b4be77639d7bd3.html">Settings</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockSetting.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_setting_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKSETTING_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKSETTING_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;functional&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_setting_interface_8h.html">Settings/SettingInterface.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span>settings {</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1settings_1_1test.html">   27</a></span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> ValueT&gt;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html">MockSetting</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">SettingInterface</a>&lt;ValueT&gt; {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a181e171552357043bb991d45c16f8ac7">MOCK_METHOD1_T</a>(<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a71279bdc081594ac478f5680cbfbf83f">setLocalChange</a>, <a class="code" href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a>(<span class="keyword">const</span> ValueT&amp; value));</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a9f008a2665fced8c6ed156ab738df416">MockSetting</a>(<span class="keyword">const</span> ValueT&amp; value);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;};</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> ValueT&gt;</div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a9f008a2665fced8c6ed156ab738df416">   49</a></span>&#160;<a class="code" href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a9f008a2665fced8c6ed156ab738df416">MockSetting&lt;ValueT&gt;::MockSetting</a>(<span class="keyword">const</span> ValueT&amp; value) : <a class="code" href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">SettingInterface</a>&lt;ValueT&gt;(value) {</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;}</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;}  <span class="comment">// namespace settings</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_SETTINGS_TEST_SETTINGS_MOCKSETTING_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_html_a181e171552357043bb991d45c16f8ac7"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a181e171552357043bb991d45c16f8ac7">alexaClientSDK::settings::test::MockSetting::MOCK_METHOD1_T</a></div><div class="ttdeci">MOCK_METHOD1_T(setLocalChange, SetSettingResult(const ValueT &amp;value))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1_setting_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html">alexaClientSDK::settings::SettingInterface</a></div><div class="ttdef"><b>Definition:</b> SettingInterface.h:43</div></div>
<div class="ttc" id="_set_setting_result_8h_html_a15f12c618d4b135e4f8eb35afe8a2ac5"><div class="ttname"><a href="_set_setting_result_8h.html#a15f12c618d4b135e4f8eb35afe8a2ac5">SetSettingResult</a></div><div class="ttdeci">SetSettingResult</div><div class="ttdef"><b>Definition:</b> SetSettingResult.h:21</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_html_a9f008a2665fced8c6ed156ab738df416"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html#a9f008a2665fced8c6ed156ab738df416">alexaClientSDK::settings::test::MockSetting::MockSetting</a></div><div class="ttdeci">MockSetting(const ValueT &amp;value)</div><div class="ttdef"><b>Definition:</b> MockSetting.h:49</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1_setting_interface_html_a71279bdc081594ac478f5680cbfbf83f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1_setting_interface.html#a71279bdc081594ac478f5680cbfbf83f">alexaClientSDK::settings::SettingInterface::setLocalChange</a></div><div class="ttdeci">virtual SetSettingResult setLocalChange(const ValueType &amp;value)=0</div></div>
<div class="ttc" id="_setting_interface_8h_html"><div class="ttname"><a href="_setting_interface_8h.html">SettingInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1settings_1_1test_1_1_mock_setting.html">alexaClientSDK::settings::test::MockSetting</a></div><div class="ttdef"><b>Definition:</b> MockSetting.h:33</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
